Xerces-J API: Class WMLInputElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLInputElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLInputElementImpl

public class WMLInputElementImpl
extends WMLElementImpl
implements WMLInputElement

Version:
  $Id: WMLInputElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLInputElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`boolean` | `getEmptyOk()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getId()`
`int` | `getMaxLength()`
`java.lang.String` | `getName()`
`int` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setEmptyOk(boolean newValue)` 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` | `setFormat(java.lang.String newValue)` 'format' specifies the input mask for user input.
`void` | `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` | `setMaxLength(int newValue)` 'maxlength' specifies the maximum number of characters to be enter.
`void` | `setName(java.lang.String newValue)` 'name' specifies the name of a variable after the user enters the text.
`void` | `setSize(int newValue)` 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setType(java.lang.String newValue)` 'type' specifies the type of text input area.
`void` | `setValue(java.lang.String newValue)` 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLInputElementImpl

    public WMLInputElementImpl(WMLDocumentImpl owner,
                               java.lang.String tagName)

Method Detail

### setSize

    public void setSize(int newValue)

  Description copied from interface: WMLInputElement
  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setSize in interface WMLInputElement

### getSize

    public int getSize()

  Specified by:
    getSize in interface WMLInputElement

### setFormat

    public void setFormat(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setFormat in interface WMLInputElement

### getFormat

    public java.lang.String getFormat()

  Specified by:
    getFormat in interface WMLInputElement

### setValue

    public void setValue(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setValue in interface WMLInputElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface WMLInputElement

### setMaxLength

    public void setMaxLength(int newValue)

  Description copied from interface: WMLInputElement
  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setMaxLength in interface WMLInputElement

### getMaxLength

    public int getMaxLength()

  Specified by:
    getMaxLength in interface WMLInputElement

### setTabIndex

    public void setTabIndex(int newValue)

  Description copied from interface: WMLInputElement
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setTabIndex in interface WMLInputElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface WMLInputElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: WMLElement
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)
  Specified by:
    setXmlLang in interface WMLInputElement
  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLInputElement
  Overrides:
    getXmlLang in class WMLElementImpl

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  Description copied from interface: WMLInputElement
  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setEmptyOk in interface WMLInputElement

### getEmptyOk

    public boolean getEmptyOk()

  Specified by:
    getEmptyOk in interface WMLInputElement

### setTitle

    public void setTitle(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setTitle in interface WMLInputElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLInputElement

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: WMLElement
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setType

    public void setType(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setType in interface WMLInputElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface WMLInputElement

### setName

    public void setName(java.lang.String newValue)

  Description copied from interface: WMLInputElement
  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)
  Specified by:
    setName in interface WMLInputElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLInputElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.